module Paths_transformers (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch


version :: Version
version = Version {versionBranch = [0,1,4,0], versionTags = []}
bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/opt/local/bin"
libdir     = "/opt/local/lib/transformers-0.1.4.0/ghc-7.4.2"
datadir    = "/opt/local/share/transformers-0.1.4.0"
libexecdir = "/opt/local/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catchIO (getEnv "transformers_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "transformers_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "transformers_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "transformers_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
